[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: IrDA support in linux-2.4.3 ?



> Date: Wed, 16 May 2001 15:39:13 +0200

> I'm trying to compile the linux-2.4.3 kernel to support IrDA (IrComm, dongle
> support etc.) but the compilation fails with the following errors:
> 
> parameters.c: In function `irda_param_pack´:
> parameters.c:385: Strict_low_part of in
> (strict_low_part (reg:HI 11 r11))
> parameters.c:385: Internal compiler error in `cris_reg_overlap_mentioned_p´,
> at config/cris/cris.c:2039

A reasonable workaround is using the compiler option "-mcc-init"
when compiling this file.  This can be accomplished by adding
"CFLAGS_parameters.o = -mcc-init" to net/irda/Makefile.

brgds, H-P